Blog

Light-weight, fast, simple and powerful!

Releasing Wolf CMS 0.7.5

We’ve just released version 0.7.5 of Wolf CMS. This release contains mainly some bug fixes and new translations. If you are running a 0.6.x system, you are advised to upgrade to this release. This release includes:

  • Added Portugese language file for comments plugin – thanks aiyumi
  • Added Arabic language file for core. – thanks hashemgamal
  • Added RTL version of default look-and-feel – thanks hashemgamal
  • Added Polish language files. Thanks tikky.
  • Added Japanese language files. Translations need to be checked by native speaker.
  • Added Indonesian language files for core plugins – thanks Devi
  • Added Latvian language file for core – thanks KaiberMen
  • Added extra non-ascii characters to toSlug JS function – issue 38
  • Added code to remember destination URL when logging into the admin section – issue 159
  • Added option to choose file extension to Backup Restore plugin – issue 154
  • Added PostgreSQL support for comment plugin – issue 222 – thanks age
  • Added option to NOT generate dates in Archive plugin URLs – issue 270
  • Added tab to create 4 spaces and preview refresh features to markdown and textile plugins. – issue 330
  • Fixed installer using “127.0.0.1 instead of localhost” work around for PHP 5.3.5 and up. – issue 333
  • Fixed installer not accepting socket DB connections for PHP version < 5.3
  • Fixed requirements check resulting in a “content not found” message when PDO was not available.
  • Fixing issue with part id not being updated when adding part – issue 317
  • Fixed inconsistency in offset handling inside Page::childrenCount – issue 220
  • Fixed incorrect type hint in Permission::findByName() argument list
  • Fixed index already exists bug on upgrade for SQLite DBs
  • Fixed Email helper to prevent safe mode warning – thanks realslacker
  • Fixed small typo in User model preventing updated by info being updated
  • Fixed missing “ç” for toSlug() function in js
  • Modified default slugs to use hyphen on install instead of underscore
  • Plugin’s require_wolf_version entry now compared to Wolf’s version using PHP’s version_compare function – issue 267
  • Changed CSRF token timeout from 5 to 15 minutes
  • Made sure add part form has emtpy title field when adding multiple parts – issue 306
  • Re-added autogenerated breadcrumb upon page add – issue 294
  • Updated Indonesian language file for core – thanks Devi
  • Updated Chinese translation file for core – thanks xiaoyangde
  • Updated Norwegian i18n for core – thanks mrnosa

Where to get it

Just go to our download page.

Advice and Notes

  • If you are having problems after upgrading to 0.7.x, make sure to disable all plugins and then re-enable each plugin one by one to make sure the problem isn’t being caused by a plugin.

Show your support

We sincerely hope you like what we’ve given you with this latest release. If you do, consider supporting the project by contributing financially.

Click here to lend your support to: Wolf CMS and make a donation at www.pledgie.com !

— Martijn

6 Responses

  1. Martijn Says:
    November 30, 2011 at 11:47

    @Clyde - All support questions should be placed on the forum. Comments are only for commenting on the blog post, not for support.

  2. Clyde Says:
    November 16, 2011 at 18:40

    Hi I have disabled all my plugins and then re enabled them one by one, so I guess the problem is not caused by a plugin, but still can´t upgrade to 0.7x

    Any idea of why?

    Thanks in advance

  3. Martijn Says:
    September 12, 2011 at 00:40

    Broken link was fixed. Feel free to drop in on the forum at any time.

  4. Broken Link / No Contact Form Says:
    September 03, 2011 at 09:27

    You have a broken link (& you have no general "Contact Form" for me to report the issue with)...

    The FAQ...

    http://www.wolfcms.org/wiki/frequently_asked_questions

    ...in the main area, with the text...

    Make sure your system complies with the Wolf CMS requirements.

    ...links to...

    http://www.wolfcms.org/about/requirements.html

    ...when it should link to...

    http://www.wolfcms.org/discover/requirements.html

  5. Henry Roledes Says:
    July 29, 2011 at 18:01

    Nice to hear about new version. I've just upgraded my two websites - first time without any problems. Well done.

  6. Tikky Says:
    May 09, 2011 at 09:46

    Hello. Nice to hear about new version. I've just upgraded my two websites - first time without any problems. Well done :-)

Copyright 2010 wolfcms.org / design by yello studio / Wolf CMS Inside